Update employee emergency contact

Updates the authenticated employee's emergency contact.

The employment is derived from the access token's subject — there is no
employment id in the path. The token must be an employee-role token
(typically obtained via the OAuth2 assertion grant with subject
urn:remote-api:employee:employment:<employment_id>).

This endpoint requires country-specific data. The exact required fields vary depending on which
country the authenticated employee's employment is in. Query the
Show form schema endpoint with emergency_contact_details
as the form name to discover the schema for a given country.

Authentication

This endpoint accepts any one of the following token types:

  • Employee-scoped access token (OAuth2Assertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant. See OAuth Assertion.
  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by the employee through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Employee-scoped access tokenManage employments (employments)-Manage emergency contacts (emergency_contact:write)
Company-scoped access tokenManage employments (employments)--
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
≥ 1

Version of the emergency_contact_details form schema


Specific version number

Body Params

Employee emergency contact params

Employment emergency contact params.

emergency_contact_details
object
required

Emergency contact information. As its properties may vary depending on the country,
you must query the Show form schema endpoint
passing the country code and emergency_contact_details as path parameters.

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json